aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Sqs.Commands.Queue

# Documentation

data CreateQueue Source #

Constructors

CreateQueue |

Fields

- cqDefaultVisibilityTimeout :: Maybe Int
- cqQueueName :: Text

#### Instances

Instances details

SignQuery CreateQueue Source # | ServiceConfiguration: `SqsConfiguration`

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type ServiceConfiguration CreateQueue |
Instance details Defined in Aws.Sqs.Commands.Queue type ServiceConfiguration CreateQueue = SqsConfiguration

Methods

signQuery :: CreateQueue -> ServiceConfiguration CreateQueue queryType -> SignatureData -> SignedQuery Source #

Show CreateQueue Source # |
Instance details Defined in Aws.Sqs.Commands.Queue Methods showsPrec :: Int -> CreateQueue -> ShowS Source # show :: CreateQueue -> String Source # showList :: [CreateQueue] -> ShowS Source #
Transaction CreateQueue CreateQueueResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Queue
type ServiceConfiguration CreateQueue Source # |
Instance details Defined in Aws.Sqs.Commands.Queue type ServiceConfiguration CreateQueue = SqsConfiguration

data CreateQueueResponse Source #

Constructors

CreateQueueResponse |

Fields

- cqrQueueUrl :: Text

#### Instances

Instances details

AsMemoryResponse CreateQueueResponse Source # |

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type MemoryResponse CreateQueueResponse |
Instance details Defined in Aws.Sqs.Commands.Queue type MemoryResponse CreateQueueResponse = CreateQueueResponse

Methods

loadToMemory :: CreateQueueResponse -> ResourceT IO (MemoryResponse CreateQueueResponse) Source #

Show CreateQueueResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Queue Methods showsPrec :: Int -> CreateQueueResponse -> ShowS Source # show :: CreateQueueResponse -> String Source # showList :: [CreateQueueResponse] -> ShowS Source #
ResponseConsumer r CreateQueueResponse Source # |

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type ResponseMetadata CreateQueueResponse |
Instance details Defined in Aws.Sqs.Commands.Queue type ResponseMetadata CreateQueueResponse = SqsMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata CreateQueueResponse) -> HTTPResponseConsumer CreateQueueResponse Source #

Transaction CreateQueue CreateQueueResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Queue
type MemoryResponse CreateQueueResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Queue type MemoryResponse CreateQueueResponse = CreateQueueResponse
type ResponseMetadata CreateQueueResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Queue type ResponseMetadata CreateQueueResponse = SqsMetadata

data DeleteQueue Source #

Constructors

DeleteQueue |

Fields

- dqQueueName :: QueueName

#### Instances

Instances details

SignQuery DeleteQueue Source # | ServiceConfiguration: `SqsConfiguration`

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type ServiceConfiguration DeleteQueue |
Instance details Defined in Aws.Sqs.Commands.Queue type ServiceConfiguration DeleteQueue = SqsConfiguration

Methods

signQuery :: DeleteQueue -> ServiceConfiguration DeleteQueue queryType -> SignatureData -> SignedQuery Source #

Show DeleteQueue Source # |
Instance details Defined in Aws.Sqs.Commands.Queue Methods showsPrec :: Int -> DeleteQueue -> ShowS Source # show :: DeleteQueue -> String Source # showList :: [DeleteQueue] -> ShowS Source #
Transaction DeleteQueue DeleteQueueResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Queue
type ServiceConfiguration DeleteQueue Source # |
Instance details Defined in Aws.Sqs.Commands.Queue type ServiceConfiguration DeleteQueue = SqsConfiguration

data DeleteQueueResponse Source #

Constructors

DeleteQueueResponse |

#### Instances

Instances details

AsMemoryResponse DeleteQueueResponse Source # |

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type MemoryResponse DeleteQueueResponse |
Instance details Defined in Aws.Sqs.Commands.Queue type MemoryResponse DeleteQueueResponse = DeleteQueueResponse

Methods

loadToMemory :: DeleteQueueResponse -> ResourceT IO (MemoryResponse DeleteQueueResponse) Source #

Show DeleteQueueResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Queue Methods showsPrec :: Int -> DeleteQueueResponse -> ShowS Source # show :: DeleteQueueResponse -> String Source # showList :: [DeleteQueueResponse] -> ShowS Source #
ResponseConsumer r DeleteQueueResponse Source # |

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type ResponseMetadata DeleteQueueResponse |
Instance details Defined in Aws.Sqs.Commands.Queue type ResponseMetadata DeleteQueueResponse = SqsMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata DeleteQueueResponse) -> HTTPResponseConsumer DeleteQueueResponse Source #

Transaction DeleteQueue DeleteQueueResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Queue
type MemoryResponse DeleteQueueResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Queue type MemoryResponse DeleteQueueResponse = DeleteQueueResponse
type ResponseMetadata DeleteQueueResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Queue type ResponseMetadata DeleteQueueResponse = SqsMetadata

data ListQueues Source #

Constructors

ListQueues |

Fields

- lqQueueNamePrefix :: Maybe Text

#### Instances

Instances details

SignQuery ListQueues Source # | ServiceConfiguration: `SqsConfiguration`

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type ServiceConfiguration ListQueues |
Instance details Defined in Aws.Sqs.Commands.Queue type ServiceConfiguration ListQueues = SqsConfiguration

Methods

signQuery :: ListQueues -> ServiceConfiguration ListQueues queryType -> SignatureData -> SignedQuery Source #

Show ListQueues Source # |
Instance details Defined in Aws.Sqs.Commands.Queue Methods showsPrec :: Int -> ListQueues -> ShowS Source # show :: ListQueues -> String Source # showList :: [ListQueues] -> ShowS Source #
Transaction ListQueues ListQueuesResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Queue
type ServiceConfiguration ListQueues Source # |
Instance details Defined in Aws.Sqs.Commands.Queue type ServiceConfiguration ListQueues = SqsConfiguration

data ListQueuesResponse Source #

Constructors

ListQueuesResponse |

Fields

- lqrQueueUrls :: [Text]

#### Instances

Instances details

AsMemoryResponse ListQueuesResponse Source # |

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type MemoryResponse ListQueuesResponse |
Instance details Defined in Aws.Sqs.Commands.Queue type MemoryResponse ListQueuesResponse = ListQueuesResponse

Methods

loadToMemory :: ListQueuesResponse -> ResourceT IO (MemoryResponse ListQueuesResponse) Source #

Show ListQueuesResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Queue Methods showsPrec :: Int -> ListQueuesResponse -> ShowS Source # show :: ListQueuesResponse -> String Source # showList :: [ListQueuesResponse] -> ShowS Source #
ResponseConsumer r ListQueuesResponse Source # |

Instance details

Defined in Aws.Sqs.Commands.Queue

Associated Types

type ResponseMetadata ListQueuesResponse |
Instance details Defined in Aws.Sqs.Commands.Queue type ResponseMetadata ListQueuesResponse = SqsMetadata

Methods

responseConsumer :: Request -> r -> IORef (ResponseMetadata ListQueuesResponse) -> HTTPResponseConsumer ListQueuesResponse Source #

Transaction ListQueues ListQueuesResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Queue
type MemoryResponse ListQueuesResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Queue type MemoryResponse ListQueuesResponse = ListQueuesResponse
type ResponseMetadata ListQueuesResponse Source # |
Instance details Defined in Aws.Sqs.Commands.Queue type ResponseMetadata ListQueuesResponse = SqsMetadata